Bug 31193 - [regression] aa43176e break water reflections
Summary: [regression] aa43176e break water reflections
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/Gallium/r300 (show other bugs)
Version: git
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-28 04:34 UTC by Fabio Pedretti
Modified: 2010-11-23 01:36 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
Correct rendering without aa43176e (176.55 KB, text/plain)
2010-10-29 01:37 UTC, Fabio Pedretti
Details
Broken rendering with aa43176e (176.12 KB, text/plain)
2010-10-29 01:38 UTC, Fabio Pedretti
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Pedretti 2010-10-28 04:34:04 UTC
After aa43176ebd26227947b07221f4e475c52bd7a76b water reflections are broken in 0ad game: water is simply rendered white.
Comment 1 Tom Stellard 2010-10-28 18:19:59 UTC
Hi, can you post the output of RADEON_DEBUG=fp,pstat with commit aa43176ebd26227947b07221f4e475c52bd7a76b and also with the commit right before that one?
Comment 2 Fabio Pedretti 2010-10-29 01:37:42 UTC
Created attachment 39880 [details]
Correct rendering without aa43176e
Comment 3 Fabio Pedretti 2010-10-29 01:38:11 UTC
Created attachment 39881 [details]
Broken rendering with aa43176e
Comment 4 Tom Stellard 2010-11-21 21:55:14 UTC
Can you try this again with the latest git master?
Comment 5 Fabio Pedretti 2010-11-22 01:22:18 UTC
It's still broken after the recent compiler changes.

BTW source and binary packages of the game for many distribution are here: http://trac.wildfiregames.com/wiki/LatestRelease
Comment 6 Tom Stellard 2010-11-23 00:15:36 UTC
Thanks for the link to the game, that was a big help.

This is fixed in mesa git by commit 4265c2f81980eae37f6081979c65b2d1bae60b82
Comment 7 Fabio Pedretti 2010-11-23 01:36:32 UTC
Confirmed, thanks! The last 0ad problem is bug #31159, though this is reproducible also with swrastg.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.